Hi, I recently try to use openid in my website. However, when I try using yahoo as "the host", it returns:

Sorry! You will not be able to login to this website as it is using an older version of the the OpenID technology. Yahoo! only supports OpenID 2.0 because it is more secure. For more information, check out the OpenID documentation at Yahoo! Developer Network.

Could someone please help me finding the php script for openid 2? I've tried searching for it with no luck

Thanks.